# License Plate API

## Introduction <a href="#introduction" id="introduction"></a>

### Overview <a href="#overview" id="overview"></a>

The EuroStocks License Plate API is an interface to provide Products based on License Plate from EuroStocks database and make them available to third parties.

| Documentation can be incomplete and/or outdated, Contact EuroStocks team by sending an email on <api@eurostocks.com> for any questions regarding API. |
| ----------------------------------------------------------------------------------------------------------------------------------------------------- |

The API is available at this base URL:

[https://licenseplate-api.eurostocks.com](https://licenseplate-api.eurostocks.com/docs/license-plate-api.html#)

### Main features <a href="#main_features" id="main_features"></a>

* List of Main Categories By License Plate
* List of Sub Categories By License Plate
* List of Product Types By License Plate
* Search Products By License Plate

### Prerequisites <a href="#prerequisites" id="prerequisites"></a>

License Plate API access can be granted to suppliers who wants to search Products by License Plate on EuroStocks and it required username, password and API Key to access API.

| <p><strong>Limited support for the development process and maintenance:</strong><br>Please note that all examples provided in our documentation are considered as guidelines for your development process but EuroStocks for itself is not able to directly assist with any of your preferred programming languages and/or used scripts.</p> |
| -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |

### Test Account <a href="#test_account" id="test_account"></a>

A test environment can be provided. Please ask for the test account details and all the information will be used as mention in Prerequisites on test API url [https://test-licenseplate-api.eurostocks.com](https://licenseplate-api.eurostocks.com/docs/license-plate-api.html#).

## List of Main Categories By License Plate

<mark style="color:green;">`POST`</mark> `https://services.eurostocks.com/api/v1/licenseplatesearch/mainCategories`

#### Headers

| Name                                       | Type   | Description                        |
| ------------------------------------------ | ------ | ---------------------------------- |
| UserName<mark style="color:red;">\*</mark> | String | Username which EuroStocks provides |
| Password<mark style="color:red;">\*</mark> | String | Password which EuroStocks provides |
| APIKey<mark style="color:red;">\*</mark>   | String | ApiKey which EuroStocks provides   |

#### Request Body

| Name                                           | Type   | Description                                                     |
| ---------------------------------------------- | ------ | --------------------------------------------------------------- |
| LicensePlate<mark style="color:red;">\*</mark> | String | Search by LicensePlate. Mandatory Parameter.                    |
| LanguageIsoCode                                | String | Search by languages using LanguageIsoCode. Mandatory Parameter. |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}

**Sample Success Request**

```json
POST /api/v1/licenseplatesearch/mainCategories
HOST: licenseplate-api.eurostocks.com

{
  "LicensePlate": "k689lz",
  "LanguageIsoCode": "nl"
}
```

**Sample Success Response**

```json
HTTP/1.1 200

[
  {
    "Name": "Auto onderdelen",
    "Key": "CAR_PARTS",
    "ImageUrl": "https://images.automotivecdn.com/common/categories/main/light/car_parts_1623743434963.png",
    "TotalAssets": 267
  }
]
```

**Sample Error Request**

```json
POST /api/v1/licenseplatesearch/mainCategories
HOST: licenseplate-api.eurostocks.com


{
  "LicensePlate": "k68*9lz",
  "LanguageIsoCode": "nl"
}
```

**Sample Error Response**

```json
HTTP/1.1 400 Bad Request

{
  "Code": "BadRequest",
  "Message": "'k68*9lz' - License Plate must be alphanumeric "
}
```

## List of Sub Categories By License Plate

<mark style="color:green;">`POST`</mark> `https://services.eurostocks.com/api/v1/licenseplatesearch/subCategories`

#### Headers

| Name                                       | Type   | Description                        |
| ------------------------------------------ | ------ | ---------------------------------- |
| UserName<mark style="color:red;">\*</mark> | String | Username which EuroStocks provides |
| Password<mark style="color:red;">\*</mark> | String | Password which EuroStocks provides |
| APIKey<mark style="color:red;">\*</mark>   | String | ApiKey which EuroStocks provides   |

#### Request Body

| Name                                           | Type   | Description                                                     |
| ---------------------------------------------- | ------ | --------------------------------------------------------------- |
| MainCategory<mark style="color:red;">\*</mark> | String | Search by Main Category of Products. Mandatory Parameter.       |
| LicensePlate                                   | String | Search by LicensePlate. Mandatory Parameter.                    |
| LanguageIsoCode                                | String | Search by languages using LanguageIsoCode. Mandatory Parameter. |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}

**Sample Success Request**

```json
POST /api/v1/licenseplatesearch/subCategories
HOST: licenseplate-api.eurostocks.com

{
  "MainCategory": "CAR_PARTS",
  "LicensePlate": "k689lz",
  "LanguageIsoCode": "nl"
}
```

**Sample Success Response**

```json
HTTP/1.1 200

[
  {
    "Name": "Airbags en toebehoren",
    "Key": "AIRBAGS_AND_ACCESSORIES",
    "ImageUrl": "https://images.automotivecdn.com/common/categories/sub/light/common.png",
    "TotalAssets": 135
  },
  {
    "Name": "Bumpers, grille en toebehoren",
    "Key": "BUMPERS_GRILLE_AND_ACCESSORIES",
    "ImageUrl": "https://images.automotivecdn.com/common/categories/sub/light/common.png",
    "TotalAssets": 51
  },
  {
    "Name": "Koelsysteem",
    "Key": "COOLING_SYSTEM",
    "ImageUrl": "https://images.automotivecdn.com/common/categories/sub/light/common.png",
    "TotalAssets": 30
  },
  ...
]
```

**Sample Error Request**

```json
POST /api/v1/licenseplatesearch/subCategories
HOST: licenseplate-api.eurostocks.com


{
  "MainCategory": "",
  "LicensePlate": "k689lz",
  "LanguageIsoCode": "nl"
}
```

**Sample Error Response**

```json
HTTP/1.1 400 Bad Request

{
  "Code": "BadRequest",
  "Message": "MainCategory is missing"
}
```

## List of Product Types By License Plate

<mark style="color:green;">`POST`</mark> `https://services.eurostocks.com/api/v1/licenseplatesearch/productTypes`

#### Headers

| Name                                       | Type   | Description                        |
| ------------------------------------------ | ------ | ---------------------------------- |
| UserName<mark style="color:red;">\*</mark> | String | Username which EuroStocks provides |
| Password<mark style="color:red;">\*</mark> | String | Password which EuroStocks provides |
| APIKey<mark style="color:red;">\*</mark>   | String | ApiKey which EuroStocks provides   |

#### Request Body

| Name                                           | Type   | Description                                                     |
| ---------------------------------------------- | ------ | --------------------------------------------------------------- |
| MainCategory<mark style="color:red;">\*</mark> | String | Search by Main Category of Products. Mandatory Parameter.       |
| SubCategory                                    | String | Search by Sub Category of Products. Mandatory Parameter.        |
| LicensePlate                                   | String | Search by LicensePlate. Mandatory Parameter.                    |
| LanguageIsoCode                                | String | Search by languages using LanguageIsoCode. Mandatory Parameter. |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}

**Sample Success Request**

```json
POST /api/v1/licenseplatesearch/productTypes
HOST: licenseplate-api.eurostocks.com

{
  "MainCategory": "CAR_PARTS",
  "SubCategory": "AIRBAGS_AND_ACCESSORIES",
  "LicensePlate": "k689lz",
  "LanguageIsoCode": "nl"
}
```

**Sample Success Response**

```json
HTTP/1.1 200

[
  {
    "Name": "Stuur airbag",
    "Key": "SEND_AIRBAG",
    "ImageUrl": "https://images.automotivecdn.com/common/categories/type/light/common.png",
    "TotalAssets": 38
  },
  {
    "Name": "Hemel airbag",
    "Key": "SKY_AIRBAG",
    "ImageUrl": "https://images.automotivecdn.com/common/categories/type/light/common.png",
    "TotalAssets": 37
  },
  {
    "Name": "Gordelspanner",
    "Key": "BELT_TENSIONER",
    "ImageUrl": "https://images.automotivecdn.com/common/categories/type/light/common.png",
    "TotalAssets": 21
  },
  ...
]
```

**Sample Error Request**

```json
POST /api/v1/licenseplatesearch/productTypes
HOST: licenseplate-api.eurostocks.com


{
  "MainCategory": "CAR_PARTS",
  "SubCategory": "",
  "LicensePlate": "k689lz",
  "LanguageIsoCode": "nl"
}
```

**Sample Error Response**

```json
HTTP/1.1 400 Bad Request

{
  "Code": "BadRequest",
  "Message": "SubCategory is missing"
}
```

## Search Products By License Plate

<mark style="color:green;">`POST`</mark> `https://services.eurostocks.com/api/v1/licenseplatesearch/list`

#### Headers

| Name                                       | Type   | Description                        |
| ------------------------------------------ | ------ | ---------------------------------- |
| Password                                   | String | Password which EuroStocks provides |
| UserName<mark style="color:red;">\*</mark> | String | Username which EuroStocks provides |
| APIKey<mark style="color:red;">\*</mark>   | String | ApiKey which EuroStocks provides   |

#### Request Body

| Name            | Type   | Description                                                                                                                                                                                                   |
| --------------- | ------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| PageNumber      | String | No. of the page for which we want details. Mandatory Parameter.                                                                                                                                               |
| LanguageIsoCode | String | Search by languages using LanguageIsoCode. Mandatory Parameter.                                                                                                                                               |
| PageSize        | String | PageSize is no. of records on single page. Minimun PageSize is 1 and Maximum PageSize is 24. Mandatory Parameter.                                                                                             |
| SortOn          | String | SortOn is used to get result based on different sorting options. [Click](https://data-api.eurostocks.com/docs/data-supplier-api.html#_list_sorton) to read details about SortOn options. Mandatory Parameter. |
| MainCategory    | String | Search by Main Category of Products. Optional Parameter.                                                                                                                                                      |
| ResultType      | String | Use ResultType\_Product for search Products. Mandatory Parameter.                                                                                                                                             |
| SortOrder       | String | Sorting can be in 'desc' or 'asc' order. Mandatory Parameter.                                                                                                                                                 |
| Type            | String | Search by Type of Products. Optional Parameter.                                                                                                                                                               |
| LicensePlate    | String | Search by LicensePlate. Mandatory Parameter.                                                                                                                                                                  |
| SubCategory     | String | Search by Sub Category of Products. Optional Parameter.                                                                                                                                                       |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}

**Sample Success Request**

```json
POST /api/v1/licenseplatesearch/list
HOST: licenseplate-api.eurostocks.com

{
  "MainCategory":"CAR_PARTS",
  "SubCategory":"BUMPERS_GRILLE_AND_ACCESSORIES",
  "Type":"FRONT_BUMPER",
  "LicensePlate":"k689lz",
  "LanguageIsoCode":"nl",
  "ResultType":"ResultType_Product",
  "PageNumber":1,
  "PageSize":10,
  "SortOn":"SortBy_Id",
  "SortOrder":"desc"
}
```

**Sample Success Response**

```json
HTTP/1.1 200
{
  "TotalResults": 39,
  "TotalPages": 4,
  "Results": [
    {
      "Id": 616381,
      "EurostockId": 1542848,
      "Maincategory": "CAR_PARTS",
      "Subcagegory": "BUMPERS_GRILLE_AND_ACCESSORIES",
      "Type": "FRONT_BUMPER",
      "Title": "Bumper Volkswagen Golf 7 7.5 FACELIFT R-LINE RLINE Voorbumper Compleet 1-P2-3660",
      "Price": 719.95,
      "DiscountedPrice": null,
      "LocationName": "Renoir Parts B.V.",
      "City": "Hoogvliet Rotterdam",
      "PriceOnRequest": false,
      "IsReserved": false,
      "Delivery": "Ophalen of verzenden",
      "IsUnlimitedStock": false,
      "Stock": 1,
      "KeepActiveEvenOutOfStock": false,
      "FirstRegistration": "",
      "Mileage": null,
      "Power": null,
      "OperatingHours": null,
      "PartNumber": "",
      "Condition": "Gebruikt",
      "Fuel": "",
      "GearBox": "",
      "TyreHeight": "",
      "TyreWidth": "",
      "TyreSize": "",
      "SuitableFor": "",
      "HubDiameter": "",
      "RimWidth": "",
      "EtValue": "",
      "PitchSize": "",
      "Image": "https://images.automotivecdn.com/0/b558d4b39b214812/webshop/products/616381/xxlarge/bumper-volkswagen-golf-7-7-5-facelift-r-line-rline-voorbumper-compleet-1-p2-3660-2.jpg",
      "InternalNumber": "",
      "WarehouseLocation": ""
    },
    {
      "Id": 616379,
      "EurostockId": 1542846,
      "Maincategory": "CAR_PARTS",
      "Subcagegory": "BUMPERS_GRILLE_AND_ACCESSORIES",
      "Type": "FRONT_BUMPER",
      "Title": "Bumper Volkswagen Golf 7 7.5 FACELIFT R-LINE RLINE Voorbumper Compleet 1-P2-3660",
      "Price": 719.95,
      "DiscountedPrice": null,
      "LocationName": "Renoir Parts B.V.",
      "City": "Hoogvliet Rotterdam",
      "PriceOnRequest": false,
      "IsReserved": false,
      "Delivery": "Ophalen of verzenden",
      "IsUnlimitedStock": false,
      "Stock": 1,
      "KeepActiveEvenOutOfStock": false,
      "FirstRegistration": "",
      "Mileage": null,
      "Power": null,
      "OperatingHours": null,
      "PartNumber": "",
      "Condition": "Gebruikt",
      "Fuel": "",
      "GearBox": "",
      "TyreHeight": "",
      "TyreWidth": "",
      "TyreSize": "",
      "SuitableFor": "",
      "HubDiameter": "",
      "RimWidth": "",
      "EtValue": "",
      "PitchSize": "",
      "Image": "https://images.automotivecdn.com/0/b558d4b39b214812/webshop/products/616379/xxlarge/bumper-volkswagen-golf-7-7-5-facelift-r-line-rline-voorbumper-compleet-1-p2-3660-2.jpg",
      "InternalNumber": "",
      "WarehouseLocation": ""
    },
    ...
  ]
}
```

**Sample Error Request**

```json
POST /api/v1/licenseplatesearch/list
HOST: licenseplate-api.eurostocks.com

{
  "MainCategory":"CAR_PARTS",
  "SubCategory":"",
  "Type":"FRONT_BUMPER",
  "LicensePlate":"k689lz",
  "LanguageIsoCode":"nl",
  "ResultType":"ResultType_Product",
  "PageNumber":1,
  "PageSize":10,
  "SortOn":"SortBy_Id",
  "SortOrder":"desc"
}
```

**Sample Error Response**

```json
HTTP/1.1 400 Bad Request

{
  "Code": "BadRequest",
  "Message": "Please add SubCategory while searching with Type"
}
```

**Another Sample Error Request**

```json
POST /api/v1/licenseplatesearch/list
HOST: licenseplate-api.eurostocks.com

{
"MainCategory":"",
"SubCategory":"BUMPERS_GRILLE_AND_ACCESSORIES",
"Type":"FRONT_BUMPER",
"LicensePlate":"k689lz",
"LanguageIsoCode":"nl",
"ResultType":"ResultType_Product",
"PageNumber":1,
"PageSize":10,
"SortOn":"SortBy_Id",
"SortOrder":"desc"
}
```

**Another Sample Error Response**

```json
HTTP/1.1 400 Bad Request

{
  "Code": "BadRequest",
  "Message": "Please add MainCategory while searching with SubCategory"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.eurostocks.com/license-plate-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
